## org.gnu.gdk
Class InputMode

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.InputMode

public class InputMode
extends Enum

Field Summary
`static InputMode` `DISABLED`
`static InputMode` `SCREEN`
`static InputMode` `WINDOW`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`InputMode` `and(InputMode other)`
`static InputMode` `intern(int value)`
`InputMode` `or(InputMode other)`
`boolean` `test(InputMode other)`
`InputMode` `xor(InputMode other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISABLED

    public static final InputMode DISABLED

### SCREEN

    public static final InputMode SCREEN

### WINDOW

    public static final InputMode WINDOW

Method Detail

### intern

    public static InputMode intern(int value)

### or

    public InputMode or(InputMode other)

### and

    public InputMode and(InputMode other)

### xor

    public InputMode xor(InputMode other)

### test

    public boolean test(InputMode other)